## org.eclipse.emf.exporter.util
Class ExporterUIUtil.TreeEditorHelper

    java.lang.Object
      org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
          org.eclipse.emf.exporter.util.ExporterUIUtil.TreeEditorHelper

All Implemented Interfaces:
  Listener

Direct Known Subclasses:
  ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper

Enclosing class:
  ExporterUIUtil

    public abstract static class ExporterUIUtil.TreeEditorHelper

extends ExporterUIUtil.CompositeEditorHelper

Field Summary

Fields inherited from class org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
`composite, compositeEditor`

Constructor Summary
`ExporterUIUtil.TreeEditorHelper(Tree tree)`

Method Summary
`protected ControlEditor` `createControlEditor(Composite composite)`
`int` `getColumn()`
`void` `setColumn(int index)`
`protected void` `setEditor(Control editorControl, Widget item)`

Methods inherited from class org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
`compositeDisposed, compositeSelected, createEditorControl, disposeOldEditorControl, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExporterUIUtil.TreeEditorHelper

    public ExporterUIUtil.TreeEditorHelper(Tree tree)

Method Detail

### createControlEditor

    protected ControlEditor createControlEditor(Composite composite)

  Overrides:
    `createControlEditor` in class `ExporterUIUtil.CompositeEditorHelper`

### setColumn

    public void setColumn(int index)

### getColumn

    public int getColumn()

### setEditor

    protected void setEditor(Control editorControl,
                             Widget item)

  Overrides:
    `setEditor` in class `ExporterUIUtil.CompositeEditorHelper`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.